Skip to main content

Pause or Resume Alert

Pauses or resumes an existing alert trigger without deleting it. The action_type field in the body selects the operation (pause_alert or resume_alert). The alert trigger ID is the id returned by Create Alert.

PUT/api/v1/monitoring/single-service/stop_resume_alert/{alert_trigger_id}/

Path parameters

  • alert_trigger_idPathintegerrequired

    The alert_trigger_id from an entry in the trigger array returned by the List Alert Triggers endpoint.

    • required
    • must be a valid alert trigger ID
    example34567

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region scope for the alert.

    • must be a non-empty string
    example{{location}}

Request body

application/json

object
action_typestringrequiredpause_alert | resume_alert

Whether to pause or resume the alert trigger.

examplepause_alert
  • required
  • one of: pause_alert, resume_alert

Responses

200Successful response
object
codeinteger
example200
datastring
example
errorsobject
messagestring
exampleAlert paused successfully.